Skip to main content

List Pending Templates

Get all templates pending admin review.

Endpoint

GET /admin/templates/pending

Request

curl -X GET https://api.docyard.io/v1/admin/templates/pending \
  -H "X-API-Key: dk_live_admin_xxxxxxxx"

Response

{
  "templates": [
    {
      "template_id": "tmpl-ins-dec-002",
      "name": "Acme Endorsement",
      "description": "Acme insurance endorsement document",
      "status": "pending_approval",
      "owner": {
        "id": "dist-abc123",
        "name": "Acme Insurance"
      },
      "locks_count": 5,
      "submitted_at": "2026-03-14T10:00:00Z",
      "submitted_by": "dist-abc123"
    },
    {
      "template_id": "tmpl-ins-dec-003",
      "name": "Best Renewal Notice",
      "description": "Best Insurance renewal notification",
      "status": "pending_approval",
      "owner": {
        "id": "dist-def456",
        "name": "Best Insurance"
      },
      "locks_count": 4,
      "submitted_at": "2026-03-15T09:00:00Z",
      "submitted_by": "dist-def456"
    }
  ]
}